Bug 1211617 - [RFE] More useful warning on `rlFileBackup /some/symlink`
Summary: [RFE] More useful warning on `rlFileBackup /some/symlink`
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib
Version: 22
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Dalibor Pospíšil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-14 12:53 UTC by Alois Mahdal
Modified: 2015-12-08 08:45 UTC (History)
6 users (show)

Fixed In Version: beakerlib-1.11-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 08:45:05 UTC


Attachments (Terms of Use)
proposed patch (1.70 KB, patch)
2015-04-14 12:55 UTC, Alois Mahdal
no flags Details | Diff

Description Alois Mahdal 2015-04-14 12:53:57 UTC
Description of problem:

When backing up a symlink (which works in that symlink is backed up, not its target), current warning is little less useful than could be:

    :: [ WARNING  ] :: rlFileBackup: Backup target is a symlink: /usr/lib/sendmail.postfix

First, the use of word "target" may be ambiguous, and second, it does not provide info about what actually happens (ie. the symlink is backed up as is and not skipped or dereferenced).

Suggestion:

    :: [ WARNING  ] :: rlFileBackup: Backing up symlink (not its target): /usr/lib/sendmail.postfix

Comment 1 Alois Mahdal 2015-04-14 12:55:12 UTC
Created attachment 1014297 [details]
proposed patch

Comment 2 Alois Mahdal 2015-04-14 12:57:14 UTC
Note that the proposed patch also changes the warning in test_rlFileBackupSymlinkWarn() where it serves as a grep expression.

Comment 3 Dalibor Pospíšil 2015-04-15 08:08:05 UTC
Thanks for patch, it sounds reasonable to me.

Comment 5 Fedora Update System 2015-11-03 12:42:16 UTC
beakerlib-1.11-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f36ff57e84

Comment 6 Fedora Update System 2015-11-03 18:21:19 UTC
beakerlib-1.11-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4c96e73472

Comment 7 Fedora Update System 2015-11-03 18:56:44 UTC
beakerlib-1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ba802d1bd6

Comment 8 Fedora Update System 2015-11-03 19:52:48 UTC
beakerlib-1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7ab9feeb42

Comment 9 Fedora Update System 2015-11-03 21:50:36 UTC
beakerlib-1.11-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0e03df1475

Comment 10 Fedora End Of Life 2015-11-04 15:59:57 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Alois Mahdal 2015-11-04 19:17:51 UTC
Still relevant in FC22; in fact the fix is being tested by now.

Comment 12 Fedora Update System 2015-11-05 17:19:42 UTC
beakerlib-1.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8f65d5290a

Comment 13 Fedora Update System 2015-11-05 20:18:37 UTC
beakerlib-1.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f36ff57e84

Comment 14 Fedora Update System 2015-11-17 15:52:21 UTC
beakerlib-1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-17 18:24:12 UTC
beakerlib-1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-11-19 16:50:29 UTC
beakerlib-1.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-11-20 23:25:15 UTC
beakerlib-1.11-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-11-21 14:26:30 UTC
beakerlib-1.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-11-21 20:30:23 UTC
beakerlib-1.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.